This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 221914 - gtk threads deprecation warning with -pylab mode
gtk threads deprecation warning with -pylab mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Shahms E. King
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 16:25 EST by Jim Bosch
Modified: 2008-01-08 08:43 EST (History)
0 users

See Also:
Fixed In Version: ipython-0.8.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 08:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Updates Shell.py to use newer pygtk syntax. (820 bytes, patch)
2007-01-08 16:25 EST, Jim Bosch
no flags Details | Diff

  None (edit)
Description Jim Bosch 2007-01-08 16:25:18 EST
Description of problem:
When using the ipython mode for matplotlib ('ipython -pylab'), we get a
deprecation warning from pygtk, saying we should use 
'gtk.gdk.threads<bla>' rather than 'gtk.threads<bla>'.


Version-Release number of selected component (if applicable):
0.7.2-3

How reproducible:
Always

Steps to Reproduce:
1. Install ipython, python-matplotlib from Extras
2. Run 'ipython -pylab'
  
Actual results:
A warning when starting and closing ipython

Expected results:
No warning

Additional info:
A patch is attached.
Comment 1 Jim Bosch 2007-01-08 16:25:19 EST
Created attachment 145108 [details]
Updates Shell.py to use newer pygtk syntax.
Comment 2 Till Maas 2008-01-08 08:43:45 EST
This bug is fixed in Fedora 7, older releases are not supported anymore. Please
upgrade, unless you already did.

Note You need to log in before you can comment on or make changes to this bug.